curl --request POST \
--url https://api.hubapi.com/crm-object-schemas/2026-03/schemas \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"allowsSensitiveProperties": true,
"associatedObjects": [
"<string>"
],
"labels": {
"plural": "<string>",
"singular": "<string>"
},
"name": "<string>",
"properties": [
{
"fieldType": "<string>",
"label": "<string>",
"name": "<string>",
"description": "<string>",
"displayOrder": 123,
"externalOptionsReferenceType": "<string>",
"formField": true,
"groupName": "<string>",
"hasUniqueValue": true,
"hidden": true,
"options": [
{
"displayOrder": 123,
"hidden": true,
"label": "<string>",
"value": "<string>",
"description": "<string>"
}
],
"referencedObjectType": "<string>",
"searchableInGlobalSearch": true,
"showCurrencySymbol": true
}
],
"requiredProperties": [
"<string>"
],
"searchableProperties": [
"<string>"
],
"secondaryDisplayProperties": [
"<string>"
],
"shouldCreateSameObjectAssociation": true,
"description": "<string>",
"primaryDisplayProperty": "<string>"
}
'import requests
url = "https://api.hubapi.com/crm-object-schemas/2026-03/schemas"
payload = {
"allowsSensitiveProperties": True,
"associatedObjects": ["<string>"],
"labels": {
"plural": "<string>",
"singular": "<string>"
},
"name": "<string>",
"properties": [
{
"fieldType": "<string>",
"label": "<string>",
"name": "<string>",
"description": "<string>",
"displayOrder": 123,
"externalOptionsReferenceType": "<string>",
"formField": True,
"groupName": "<string>",
"hasUniqueValue": True,
"hidden": True,
"options": [
{
"displayOrder": 123,
"hidden": True,
"label": "<string>",
"value": "<string>",
"description": "<string>"
}
],
"referencedObjectType": "<string>",
"searchableInGlobalSearch": True,
"showCurrencySymbol": True
}
],
"requiredProperties": ["<string>"],
"searchableProperties": ["<string>"],
"secondaryDisplayProperties": ["<string>"],
"shouldCreateSameObjectAssociation": True,
"description": "<string>",
"primaryDisplayProperty": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
allowsSensitiveProperties: true,
associatedObjects: ['<string>'],
labels: {plural: '<string>', singular: '<string>'},
name: '<string>',
properties: [
{
fieldType: '<string>',
label: '<string>',
name: '<string>',
description: '<string>',
displayOrder: 123,
externalOptionsReferenceType: '<string>',
formField: true,
groupName: '<string>',
hasUniqueValue: true,
hidden: true,
options: [
{
displayOrder: 123,
hidden: true,
label: '<string>',
value: '<string>',
description: '<string>'
}
],
referencedObjectType: '<string>',
searchableInGlobalSearch: true,
showCurrencySymbol: true
}
],
requiredProperties: ['<string>'],
searchableProperties: ['<string>'],
secondaryDisplayProperties: ['<string>'],
shouldCreateSameObjectAssociation: true,
description: '<string>',
primaryDisplayProperty: '<string>'
})
};
fetch('https://api.hubapi.com/crm-object-schemas/2026-03/schemas', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"allowsSensitiveProperties": true,
"archived": true,
"associations": [
{
"fromObjectTypeId": "<string>",
"id": "<string>",
"toObjectTypeId": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"name": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
],
"fullyQualifiedName": "<string>",
"id": "<string>",
"labels": {
"plural": "<string>",
"singular": "<string>"
},
"name": "<string>",
"objectTypeId": "<string>",
"properties": [
{
"description": "<string>",
"fieldType": "<string>",
"groupName": "<string>",
"label": "<string>",
"name": "<string>",
"options": [
{
"hidden": true,
"label": "<string>",
"value": "<string>",
"description": "<string>",
"displayOrder": 123
}
],
"type": "<string>",
"archived": true,
"archivedAt": "2023-11-07T05:31:56Z",
"calculated": true,
"calculationFormula": "<string>",
"createdAt": "2023-11-07T05:31:56Z",
"createdUserId": "<string>",
"currencyPropertyName": "<string>",
"displayOrder": 123,
"externalOptions": true,
"formField": true,
"hasUniqueValue": true,
"hidden": false,
"hubspotDefined": true,
"modificationMetadata": {
"archivable": true,
"readOnlyDefinition": true,
"readOnlyValue": true,
"readOnlyOptions": true
},
"referencedObjectType": "<string>",
"sensitiveDataCategories": [
"<string>"
],
"showCurrencySymbol": true,
"updatedAt": "2023-11-07T05:31:56Z",
"updatedUserId": "<string>"
}
],
"requiredProperties": [
"<string>"
],
"searchableProperties": [
"<string>"
],
"secondaryDisplayProperties": [
"<string>"
],
"createdAt": "2023-11-07T05:31:56Z",
"createdByUserId": 123,
"description": "<string>",
"primaryDisplayProperty": "<string>",
"updatedAt": "2023-11-07T05:31:56Z",
"updatedByUserId": 123
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Create a new custom object schema.
Crie um novo esquema de objeto personalizado definindo Propriedades e associações.
Supported products
Supported products
Required Scopes
Required Scopes
Autorizações
The access token received from the authorization server in the OAuth 2.0 flow.
Corpo
Determina se o tipo de objeto pode incluir propriedades marcadas como confidenciais.
Associações definidas para este tipo de objeto.
Show child attributes
Show child attributes
Um nome exclusivo para este objeto. Apenas para uso interno.
Propriedades definidas para este tipo de objeto.
Show child attributes
Show child attributes
Os nomes das propriedades que devem ser obrigatórias ao criar um objeto deste tipo.
Nomes das propriedades que serão indexadas para este tipo de objeto na pesquisa de produtos da HubSpot.
Os nomes das propriedades secundárias para este objeto. Serão exibidas como secundárias na página do registro do HubSpot para este tipo de objeto.
Uma breve explicação do tipo de objeto.
O nome da propriedade principal para este objeto. Será exibido como principal na página de registro do HubSpot para este tipo de objeto.
Resposta
successful operation
Associações definidas para um determinado tipo de objeto.
Show child attributes
Show child attributes
Um ID exclusivo atribuído ao objeto, incluindo o ID do portal e o nome do objeto.
Um ID exclusivo para o tipo de objeto deste esquema. Será definido como {meta-type}-{unique ID}.
Show child attributes
Show child attributes
Um nome exclusivo para o tipo de objeto do esquema.
Propriedades definidas para este tipo de objeto.
Show child attributes
Show child attributes
Os nomes das propriedades que devem ser obrigatórias ao criar um objeto deste tipo.
Nomes das propriedades que serão indexadas para este tipo de objeto na pesquisa de produtos da HubSpot.
Os nomes das propriedades secundárias para este objeto. Serão exibidas como secundárias na página do registro do HubSpot para este tipo de objeto.
Quando o esquema do objeto foi criado.
O nome da propriedade principal para este objeto. Será exibido como principal na página de registro do HubSpot para este tipo de objeto.
Quando o esquema do objeto foi atualizado pela última vez.